Subject: Re: [PATCH] igbvf: avoid name clash between PF and VF

From: Stefan Assmann <[email-masked]>
Date: Fri, 02 Jul 2010 08:37:34 +0200

On 01.07.2010 19:12, Casey Leedom wrote:
> | From: Stefan Assmann <[email-masked]>
> | Date: Wednesday, June 30, 2010 11:37 pm
> | 
> | You're correct, the problem shouldn't occur with cxgb4vf and therefore
> | this change shouldn't be necessary. However we might consider a
> | consistent naming scheme for VFs in all drivers. But I don't have a
> | strong opinion about this, either way would be fine by me.
> 
>   Sorry, I hadn't meant to imply any criticism of your naming proposal.  I was 
> just trying to clarify when/where such a scheme might be necessary.

Sure, that's the reason why we're discussing this here.

> 
>   On the naming proposal itself, it strikes me that the most common use of PCI-E 
> SR-IOV Virtual Functions will be to export them to KVM Virtual Machines via PCI 
> "Pass Through."  So there shouldn't be any naming conflict there, right?  Or is 
> it the same scenario you described before: that the VF NIC device might be found 
> before the normal "eth0", etc. withing the Virtual Machine?

I haven't had a scenario were passing multiple VF NICs to the guest was
necessary. In theory it might happen there as well, if you have multiple
NICs (with persistent and random MACs) in the guest. But usually you
just have a single VF inside the guest and then you're fine.

The scenario that I'm targeting is on the host side mostly.

  Stefan
--
Stefan Assmann         | Red Hat GmbH
Software Engineer      | Otto-Hahn-Strasse 20, 85609 Dornach
                       | HR: Amtsgericht Muenchen HRB 153243
                       | GF: Brendan Lane, Charlie Peters,
sassmann at redhat.com |     Michael Cunningham, Charles Cachera

------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired